Preferences
Set current administrator job failure notification opt-in for this instance.
Set current administrator job failure notification opt-in for this instance. The request is scoped to preferences accessible to the authenticated caller.
PUT
/
api
/
v1
/
preferences
/
job-notifications
Set current administrator job failure notification opt-in for this instance.
curl --request PUT \
--url https://api.revoengine.com/api/v1/preferences/job-notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inAppEnabled": false,
"emailEnabled": false,
"attemptMode": "DIGEST"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inAppEnabled: false, emailEnabled: false, attemptMode: 'DIGEST'})
};
fetch('https://api.revoengine.com/api/v1/preferences/job-notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/preferences/job-notifications"
payload = {
"inAppEnabled": False,
"emailEnabled": False,
"attemptMode": "DIGEST"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"inAppEnabled": false,
"emailEnabled": false,
"attemptMode": "DIGEST"
}Authorizations
Bearer JWT token or API Key (sk-*).
Body
application/json
Explicit opt-in to job failure system messages for this instance.
Explicit opt-in to job failure email for this instance.
How intermediate failed attempts are delivered. Final failures are immediate.
Available options:
OFF, DIGEST, IMMEDIATE Response
200 - application/json
Explicit opt-in to job failure system messages for this instance.
Explicit opt-in to job failure email for this instance.
How intermediate failed attempts are delivered. Final failures are immediate.
Available options:
OFF, DIGEST, IMMEDIATE ⌘I
Set current administrator job failure notification opt-in for this instance.
curl --request PUT \
--url https://api.revoengine.com/api/v1/preferences/job-notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inAppEnabled": false,
"emailEnabled": false,
"attemptMode": "DIGEST"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inAppEnabled: false, emailEnabled: false, attemptMode: 'DIGEST'})
};
fetch('https://api.revoengine.com/api/v1/preferences/job-notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/preferences/job-notifications"
payload = {
"inAppEnabled": False,
"emailEnabled": False,
"attemptMode": "DIGEST"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"inAppEnabled": false,
"emailEnabled": false,
"attemptMode": "DIGEST"
}
